org.deidentifier.arx

## Class DataType.DataTypeDescription<T>

- java.lang.Object
- - org.deidentifier.arx.DataType.DataTypeDescription<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  DataType<T>

    public abstract static class DataType.DataTypeDescription<T>
    extends java.lang.Object
    implements java.io.Serializable

An entry in the list of available data types.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.util.List<java.lang.String>` `getExampleFormats()` Returns a list of example formats.
`java.lang.String` `getLabel()` Returns a human readable label.
`DataScale` `getScale()` Scale
`java.lang.Class<?>` `getWrappedClass()` Returns the wrapped java class.
`boolean` `hasFormat()` Returns whether the type be parameterized with a format string.
`abstract DataType<T>` `newInstance()` Creates a new instance with default format string and default locale.
`DataType<T>` `newInstance(java.util.Locale locale)` Creates a new instance with default format and the given locale.
`abstract DataType<T>` `newInstance(java.lang.String format)` Creates a new instance with the given format string and default locale.
`abstract DataType<T>` `newInstance(java.lang.String format, java.util.Locale locale)` Creates a new instance with the given format string and the given locale.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getExampleFormats

    public java.util.List<java.lang.String> getExampleFormats()

Returns a list of example formats.

Returns:

#### getLabel

    public java.lang.String getLabel()

Returns a human readable label.

Returns:

#### getScale

    public DataScale getScale()

Scale

Returns:

#### getWrappedClass

    public java.lang.Class<?> getWrappedClass()

Returns the wrapped java class.

Returns:

#### hasFormat

    public boolean hasFormat()

Returns whether the type be parameterized with a format string. Note that every data type can be instantiated without a format string, using a default format.

Returns:

#### newInstance

    public abstract DataType<T> newInstance()

Creates a new instance with default format string and default locale.

Returns:

#### newInstance

    public abstract DataType<T> newInstance(java.lang.String format)

Creates a new instance with the given format string and default locale.

Parameters:
  `format` -
Returns:

#### newInstance

    public abstract DataType<T> newInstance(java.lang.String format,
                                            java.util.Locale locale)

Creates a new instance with the given format string and the given locale.

Parameters:
  `format` -
  `locale` -
Returns:

#### newInstance

    public DataType<T> newInstance(java.util.Locale locale)

Creates a new instance with default format and the given locale.

Parameters:
  `locale` -
Returns: